%define ffversion	20120731
%define dl_ffversion %{ffversion}-b
%define docversion	20120731-b
%define	Summary		Font Editor for PostScript, TrueType, OpenType and various fonts

Name:		fontforge
Version:	1.0
Release:	%mkrel 0.%{ffversion}.1
Summary:	%{Summary}
License:	BSD-like
Group:		Publishing
Source0:	http://garr.dl.sourceforge.net/project/fontforge/fontforge-source/fontforge_full-%{dl_ffversion}.tar.bz2
Source2:	http://garr.dl.sourceforge.net/project/fontforge/fontforge-docs/fontforge_htdocs-%{docversion}.tar.bz2
Source3:	http://fontforge.sourceforge.net/cidmaps.tgz
Source4:	http://fontforge.sourceforge.net/fontforge-tutorial.pdf
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		fontforge-%{version}-uni-nodevel.patch
Patch1:		fontforge-1.0-20100501-local-helpdir.patch
Patch10:	008_libgif.diff
Patch11:	024_def_background.diff
Patch21:	libpng16-dynamic.diff
URL:		http://fontforge.sourceforge.net/
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	tiff-devel
BuildRequires:	libungif-devel
BuildRequires:	libxml2-devel
BuildRequires:	libuninameslist-devel
BuildRequires:	chrpath
BuildRequires:  python-devel
Requires:	%{mklibname png 3}
Requires:	%{mklibname uninameslist 0}
Requires:	potrace


%description
FontForge is an outline font editor that lets you create your own 
postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and 
bitmap (bdf) fonts, or edit existing ones. Also lets you convert one
format to another. FontForge has support for many macintosh font formats.

%prep
%setup -q -n fontforge-%{dl_ffversion}
%patch0 -p1 -b .uninames
%patch1 -p1 -b .helpdir
%patch10 -p1 -b .libgif
%patch11 -p1 -b .background
%patch21 -p0 -b .libpng2
install -m 644 %{SOURCE4} .

mkdir -p htdocs cidmap
tar xjf %{SOURCE2} -C htdocs
tar xf %{SOURCE3} -C cidmap

%build
# Fontforge must be compiled for lilypond with ‘--enable-double’
%configure2_5x --disable-shared --enable-double --without-freetype-src
%make

%install
rm -rf %{buildroot}
%makeinstall

rm -rf %{buildroot}%{_libdir}

# XDG compliance
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=FontForge
Comment=%{Summary}
Exec=%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;Scanning;OCR;Office;Viewer;
EOF

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# added with htdocs in %doc section
rm -rf %{buildroot}%{_datadir}/doc/fontforge

rm -rf %{buildroot}%{_includedir}

chrpath -d %{buildroot}%{_bindir}/%{name}

%find_lang FontForge

%files -f FontForge.lang
%defattr(-,root,root)
%doc LICENSE htdocs README-unix README-Unix.html fontforge-tutorial.pdf
%{_bindir}/*
%{_mandir}/man1/*
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/fontforge


%changelog
* Thu Apr 03 2014 pinoc <vogtpet at gmail.com> 1.0-0.20120731.1pclos2014
- update to 20120731

* Mon Aug 19 2013 billybot <billybot> 1.0-0.20110222.3pclos2013
- update python 2.7

* Sun May 20 2012 Galen Seaman <gseaman at clear.net> 1.0-0.20110222.2pclos2011
- add '--enable-double' for lilypond

* Fri Nov 04 2011 Texstar <texstar at gmail.com> 1.0-0.20110222.1pclos2011
- update
